//---------------------------------------------------------------------------------------------------------------------
/**
 * sample2用Javascript
 *
 * @package  LabbitBox1.0
 * @author   neobaba
 * @since    2010/9/23
*/ 
//---------------------------------------------------------------------------------------------------------------------

function GRID1_click(e){
    var info    = evenInfo(e);
    //alert('gridID=' + info.elementID + ':' + info.zone + ':' + info.colType + '(' + info.rowIndex + ')');
    alert('data:' + info.rowData.STATION_NO + ':' + info.rowData.STATION_NAME_READ + ':' + info.rowData.GRID1_ENABLED);
    return;
    
    ele = e.srcElement || e.target;
    if (ele.type == 'button'){
        alert('汎用イベント id:' + ele.id + '(' + ele.tagName + ')=' + ele.value);
    }
    return false;
}

function move_click(e){
    wParam  = $H({'method': 'timerTest', 'type': 'ajax'});
    postParam   = wParam.toQueryString();
    new Ajax.PeriodicalUpdater( 
        "caption", 
        location.href, 
        { 
            "method": "post", 
            "parameters": postParam, 
            frequency: 5, // 5秒ごとに実行 
            onSuccess: function(request) { 
	            // 成功時の処理を記述 
	            // alert('成功しました'); 
                $('terop').style.left = $('terop').style.left - 1;
	        }, 
	        onComplete: function(request) { 
	            // 完了時の処理を記述 
	            // alert('読み込みが完了しました'); 
	        }, 
	        onFailure: function(request) { 
	            alert('読み込みに失敗しました'); 
	        }, 
	        onException: function (request) { 
	            alert('読み込み中にエラーが発生しました'); 
	        } 
	    } 
	); 
}